<?xml version="1.0" encoding="UTF-8"?>
<?xmlspysamplexml D:\BOOKSHARE\SAMPLES\S08-StockTasks\ExecProcess.dtsx?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:DTS="www.microsoft.com/SqlServer/Dts">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Package metadata report generator</title>
			</head>
			<body>
				<h1>
					<font color="blue">Report for <font color="black">
							<xsl:apply-templates mode="PackageName"/>.dtsx
						</font></font>
				</h1>
				<!-- Executables -->
				<p>
					<h3>Executables :</h3>
				</p>
				<p>
					<font size="1">
						<xsl:apply-templates mode="Execs"/>
					</font>
				</p>
				<!-- Connection Managers -->
				<p>
					<h3>Connection Managers :</h3>
				</p>
				<p>
					<font size="1">
						<xsl:apply-templates mode="Conns"/>
					</font>
				</p>
				<!-- Variables -->
				<p>
					<h3>Variables :</h3>
				</p>
				<p>
					<font size="1">
						<xsl:apply-templates mode="Vars"/>
					</font>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template mode="PackageName" match="/DTS:Executable">
		<xsl:for-each select="DTS:Property[@DTS:Name = 'ObjectName']">
			<xsl:value-of select="."/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template mode="Execs" match="*">
		<xsl:for-each select="DTS:Executable">
			<xsl:text>Executable Name : </xsl:text>
			<xsl:value-of select="DTS:Property[@DTS:Name='ObjectName']"/>
			<br/>
			<xsl:text>Executable Type : </xsl:text>
			<xsl:value-of select="@DTS:ExecutableType"/>
			<br/>
			<br/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template mode="Conns" match="*">
		<xsl:for-each select="DTS:ConnectionManager">
			<xsl:text>Connection Manager Name : </xsl:text>
			<xsl:value-of select="DTS:Property[@DTS:Name='ObjectName']"/>
			<br/>
			<xsl:text>Connection Type : </xsl:text>
			<xsl:value-of select="DTS:Property[@DTS:Name='CreationName']"/>
			<br/>
			<xsl:text>Connection String : </xsl:text>
			<xsl:value-of select="DTS:ObjectData/DTS:ConnectionManager/DTS:Property[@DTS:Name='ConnectionString']"/>
			<br/>
			<br/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template mode="Vars" match="*">
		<xsl:for-each select="DTS:Variable">
			<xsl:text>Variable Name : </xsl:text>
			<xsl:value-of select="DTS:Property[@DTS:Name='ObjectName']"/>
			<br/>
			<xsl:text>Namespace : </xsl:text>
			<xsl:value-of select="DTS:Property[@DTS:Name='Namespace']"/>
			<br/>
			<br/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
