using System;
using System.Drawing;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Text;

using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SqlServer.Dts.Runtime.Design;
using Microsoft.SqlServer.Dts.Design;
using Microsoft.DataTransformationServices.Controls;


namespace SSIS2K5.Samples.Tasks.CryptoTask
{
   public class CryptoTaskUI : IDtsTaskUI
   {
      // TaskUI receives a TaskHost and we cache it here.
      private TaskHost taskHost = null;

      // Get the connection service for creating connections if needed.
      private IDtsConnectionService connectionService = null;

      // Called by the designer to initialize the taskHost UI
      public void Initialize(TaskHost taskHost, System.IServiceProvider serviceProvider)
      {
         this.taskHost = taskHost;
         this.connectionService = serviceProvider.GetService(typeof(IDtsConnectionService)) as IDtsConnectionService;
      }

      // Called by the designer to show the window
      public ContainerControl GetView()
      {
         return new CryptoTaskUIMainWnd(taskHost, connectionService);
      }

      /// <summary>
      ///  Called when a new Task is added to the package.
      /// </summary>
      public void New(IWin32Window parentWindow)
      {
         // do nothing
      }

      /// <summary>
      ///  Called when an existing taskHost is about to be deleted from the package
      /// </summary>
      public void Delete(IWin32Window parentWindow)
      {
         // do nothing
      }
   }
}
