using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SqlServer.Dts.Runtime.Wrapper;
using Microsoft.SqlServer.Dts.Pipeline;

// Profile percentage columns that are null
namespace SSIS2K5.Samples.Transforms.DataProfiler
{
    class ColumnProfilerPercentageNulls : ColumnProfilerBase
    {
        private double rows = 0;
        private double nulls = 0;

        public override string GetProfileType() { return "%NULL"; }
        public override string GetProfileValue() { return Math.Round(nulls/rows*100).ToString(); }

        public override void Profile(PipelineBuffer buffer)
        {
            rows++;
            if (buffer.IsNull(ColumnIndex))
                nulls++;
        }
    };
}
